function displayobservations(md)
%DISPLAYOBSERVATIONS - display observations information
%
%   To avoid clobbering display.m with every field from model md, 
%   we create this routine that displays observations information from model md, 
%   only if requested.
%
%   Usage:
%      displayobservations(md)

fprintf('   Observations:\n');
fprintf('      vx_obs [m/a]: (%i)\n',length(md.vx_obs));
fprintf('      vy_obs [m/a]: (%i)\n',length(md.vy_obs));
fprintf('      vel_obs [m/a]: (%i)\n',length(md.vel_obs));
fprintf('      accumulation [m/a]: (%i)\n',length(md.accumulation));
fprintf('      observed_temperature [K]: (%i)\n',length(md.observed_temperature));
fprintf('      geothermalflux [W/m^2]: (%i)\n',length(md.geothermalflux));
